# Example 1

In this example, we have:
- one Manager that own a task Queue
- one Master that pushes tasks in that Queue
- Minions that get things done

## Test  locally

In one shell: `./manager.py`
In another: `./master.py`
And in many others: `./minion.py`

## Test on multiple computers

eg. if the manager is on senjosan:

```bash
docker build --build-arg HOST=senjosan -t memmos.laas.fr:5000/gepetto/multiprocessing-examples:example-1 .
docker push memmos.laas.fr:5000/gepetto/multiprocessing-examples:example-1
```

And on other computers:
```bash
docker run --rm -it memmos.laas.fr:5000/gepetto/multiprocessing-examples:example-1
```
